diff options
author | Jim Meyering <jim@meyering.net> | 1998-08-26 15:13:56 +0000 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 1998-08-26 15:13:56 +0000 |
commit | da190d7c068f35c18a653be695e783d9e923bec2 (patch) | |
tree | 30ab39d09a75906dca42d6f03f150ad24fe01370 /tests | |
parent | ddd448d549d39d3ddbf588a7f58a46db78afa776 (diff) | |
download | coreutils-da190d7c068f35c18a653be695e783d9e923bec2.tar.xz |
.
Diffstat (limited to 'tests')
-rwxr-xr-x | tests/dircolors/run-test | 13 | ||||
-rwxr-xr-x | tests/dircolors/simple | 22 |
2 files changed, 35 insertions, 0 deletions
diff --git a/tests/dircolors/run-test b/tests/dircolors/run-test new file mode 100755 index 000000000..e6f765c81 --- /dev/null +++ b/tests/dircolors/run-test @@ -0,0 +1,13 @@ +#!/bin/sh + +: ${PERL=perl} +: ${srcdir=.} + +case "$PERL" in + *'missing perl') + echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test" + exit 77 + ;; +esac + +exec $PERL -w -I$srcdir -MFetish -- $srcdir/simple diff --git a/tests/dircolors/simple b/tests/dircolors/simple new file mode 100755 index 000000000..8215916b4 --- /dev/null +++ b/tests/dircolors/simple @@ -0,0 +1,22 @@ +#!/usr/bin/perl -w +require 5.003; +use strict; + +(my $program_name = $0) =~ s|.*/||; + +# Turn off localisation of executable's ouput. +@ENV{qw(LANGUAGE LANG LC_ALL)} = ('C') x 3; + +my @Tests = + ( + # test-name options input expected-output + # + ['a', {IN => {k => "exec\n"}}, {ERR => "dircolors: k:1: invalid line; missing second token\n"}, {EXIT => 1}], + ); + +my $save_temps = $ENV{DEBUG}; +my $verbose = $ENV{VERBOSE}; + +my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n"; +my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose); +exit $fail; |